org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl.ExactMatcher

- java.lang.Object
- - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher
  - - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.ExactMatcher

- All Implemented Interfaces:
    ResourceFilterImpl.Matcher
  Enclosing class:
    ResourceFilterImpl

      protected static class ResourceFilterImpl.ExactMatcher
      extends ResourceFilterImpl.PathMatcher

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExactMatcher(java.lang.String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternStyle` | `getParentPatternStyle()`
    `boolean` | `matches(java.lang.String revisionPath)`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExactMatcher

          public ExactMatcher(java.lang.String path)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String revisionPath)

    - #### getParentPatternStyle

          public PatternStyle getParentPatternStyle()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html